/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.contribtests.customertest;

import java.io.Serializable;

/**
 * @author prashantp
 * @version $Revision: 1.2 $
 */
public class CustomerHistory implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = -5071629052385140042L;
    private Long id;
    private String firstName;
    private String lastName;
    private Integer gender;
    private Integer status;
    private Integer phoneNumber;

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public String getFirstName() {
        return firstName;
    }

    /**
     * DOCUMENT ME!
     *
     * @param firstName DOCUMENT ME!
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Integer getGender() {
        return gender;
    }

    /**
     * DOCUMENT ME!
     *
     * @param gender DOCUMENT ME!
     */
    public void setGender(Integer gender) {
        this.gender = gender;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public String getLastName() {
        return lastName;
    }

    /**
     * DOCUMENT ME!
     *
     * @param lastName DOCUMENT ME!
     */
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Integer getPhoneNumber() {
        return phoneNumber;
    }

    /**
     * DOCUMENT ME!
     *
     * @param phoneNumber DOCUMENT ME!
     */
    public void setPhoneNumber(Integer phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * DOCUMENT ME!
     *
     * @param status DOCUMENT ME!
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Long getId() {
        return id;
    }

    /**
     * DOCUMENT ME!
     *
     * @param id DOCUMENT ME!
     */
    public void setId(Long id) {
        this.id = id;
    }
}