/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.hibernatesession;

import java.io.Serializable;
import java.sql.Connection;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.hibernate.CacheMode;
import org.hibernate.EntityMode;
import org.hibernate.FlushMode;
import org.hibernate.HibernateException;
import org.hibernate.Interceptor;
import org.hibernate.Query;
import org.hibernate.ScrollMode;
import org.hibernate.ScrollableResults;
import org.hibernate.Transaction;
import org.hibernate.collection.PersistentCollection;
import org.hibernate.engine.EntityKey;
import org.hibernate.engine.PersistenceContext;
import org.hibernate.engine.QueryParameters;
import org.hibernate.engine.SessionFactoryImplementor;
import org.hibernate.engine.SessionImplementor;
import org.hibernate.engine.query.NativeSQLQuerySpecification;
import org.hibernate.event.EventListeners;
import org.hibernate.impl.CriteriaImpl;
import org.hibernate.jdbc.Batcher;
import org.hibernate.jdbc.JDBCContext;
import org.hibernate.loader.custom.CustomQuery;
import org.hibernate.persister.entity.EntityPersister;
import org.hibernate.type.Type;

public class MockHibernateSession implements SessionImplementor, java.io.Serializable 
{
	private static final long serialVersionUID = 6831235470446492877L;
	
	public static boolean isOpened=false;

	public Interceptor getInterceptor() {
		// TODO Auto-generated method stub
		return null;
	}

	public void setAutoClear(boolean arg0) {
		// TODO Auto-generated method stub

	}

	public boolean isTransactionInProgress() {
		// TODO Auto-generated method stub
		return false;
	}

	public void initializeCollection(PersistentCollection arg0, boolean arg1)
			throws HibernateException {
		// TODO Auto-generated method stub

	}

	public Object internalLoad(String arg0, Serializable arg1, boolean arg2,
			boolean arg3) throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public Object immediateLoad(String arg0, Serializable arg1)
			throws HibernateException {
		// TODO Auto-generated method stub
		return new DataPoint();
	}

	public long getTimestamp() {
		// TODO Auto-generated method stub
		return 0;
	}

	public SessionFactoryImplementor getFactory() {
		// TODO Auto-generated method stub
		return null;
	}

	public Batcher getBatcher() {
		// TODO Auto-generated method stub
		return null;
	}

	public List list(String arg0, QueryParameters arg1)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public Iterator iterate(String arg0, QueryParameters arg1)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public ScrollableResults scroll(String arg0, QueryParameters arg1)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public ScrollableResults scroll(CriteriaImpl arg0, ScrollMode arg1) {
		// TODO Auto-generated method stub
		return null;
	}

	public List list(CriteriaImpl arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public List listFilter(Object arg0, String arg1, QueryParameters arg2)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public Iterator iterateFilter(Object arg0, String arg1, QueryParameters arg2)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public EntityPersister getEntityPersister(String arg0, Object arg1)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public Object getEntityUsingInterceptor(EntityKey arg0)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public void afterTransactionCompletion(boolean arg0, Transaction arg1) {
		// TODO Auto-generated method stub

	}

	public void beforeTransactionCompletion(Transaction arg0) {
		// TODO Auto-generated method stub

	}

	public Serializable getContextEntityIdentifier(Object arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public String bestGuessEntityName(Object arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public String guessEntityName(Object arg0) throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public Object instantiate(String arg0, Serializable arg1)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public List listCustomQuery(CustomQuery arg0, QueryParameters arg1)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public ScrollableResults scrollCustomQuery(CustomQuery arg0,
			QueryParameters arg1) throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public List list(NativeSQLQuerySpecification arg0, QueryParameters arg1)
			throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public ScrollableResults scroll(NativeSQLQuerySpecification arg0,
			QueryParameters arg1) throws HibernateException {
		// TODO Auto-generated method stub
		return null;
	}

	public Object getFilterParameterValue(String arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public Type getFilterParameterType(String arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public Map getEnabledFilters() {
		// TODO Auto-generated method stub
		return null;
	}

	public int getDontFlushFromFind() {
		// TODO Auto-generated method stub
		return 0;
	}

	public EventListeners getListeners() {
		// TODO Auto-generated method stub
		return null;
	}

	public PersistenceContext getPersistenceContext() {
		// TODO Auto-generated method stub
		return null;
	}

	public int executeUpdate(String arg0, QueryParameters arg1)
			throws HibernateException {
		// TODO Auto-generated method stub
		return 0;
	}

	public EntityMode getEntityMode() {
		// TODO Auto-generated method stub
		return null;
	}

	public CacheMode getCacheMode() {
		// TODO Auto-generated method stub
		return null;
	}

	public void setCacheMode(CacheMode arg0) {
		// TODO Auto-generated method stub

	}

	public boolean isOpen() {
		// TODO Auto-generated method stub
		return isOpened;
	}

	public boolean isConnected() {
		// TODO Auto-generated method stub
		return isOpened;
	}

	public FlushMode getFlushMode() {
		// TODO Auto-generated method stub
		return null;
	}

	public void setFlushMode(FlushMode arg0) {
		// TODO Auto-generated method stub

	}

	public Connection connection() {
		// TODO Auto-generated method stub
		return null;
	}

	public void flush() {
		// TODO Auto-generated method stub

	}

	public Query getNamedQuery(String arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public Query getNamedSQLQuery(String arg0) {
		// TODO Auto-generated method stub
		return null;
	}

	public boolean isEventSource() {
		// TODO Auto-generated method stub
		return false;
	}

	public void afterScrollOperation() {
		// TODO Auto-generated method stub

	}

	public void setFetchProfile(String arg0) {
		// TODO Auto-generated method stub

	}

	public String getFetchProfile() {
		// TODO Auto-generated method stub
		return null;
	}

	public JDBCContext getJDBCContext() {
		// TODO Auto-generated method stub
		return null;
	}

}
